Subject: Re: How to get rom code to go on FADS?

From: "Dan A. Dickey" <[email-masked]>
Date: Tue, 16 May 2000 16:03:57 -0500

Richard Hendricks wrote:
> Dan,
>   By any chance, do you not have +12V applied?

Pretty sure I do - it is supposed to be.  I don't have
a meter handy, so I can't actually measure it - but the
wire is there and so on (and it *is* attached to a power
supply).

>  Also, how are you
> programming your Flash ROM?  Try downloading it and reading the
> memory locations with MPC8bug (normally MPC8bug puts the Flash
> up at 0x02800100), then power off for a minute or two, then
> reset the board normally through MPC8bug and read the memory
> locations again.  It almost sounds like your Flash isn't getting
> programmed at all...

I'm pretty sure it *is* getting programmed.
I'm loading it with a "loadf theSRECfile 10000".
It loads the sections into ram, and then into flash.
After power off/on the board, I can still disassemble
the flash region (02800000) and see what I intended to
be put there.  (Yes, Xreset is at 02800100, and _start is
at 02802000).

> Do an mdi at 0x02800100 to see if your code is properly getting
> programmed.  I've got a feeling that I might know what's going on.

Good, cause I sure don't.  :)

One other point - I think I've determined that the
debug port interrupt *is* being caused by some sort
of timeout (watchdog perhaps?).  I looked a bit more
at the Motorola Init860.s and after setting up
SYPCR early enough, I don't seem to be getting that
interrupt any more.  I only managed to try that once
last night before needing to get to bed, and haven't
had a chance to look at it yet today.  Later tonight
I'll look again and see what I can see...
	-Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/